# Please keep this package in sync with FC

%define rname libvirt-python

# we don't want to provide private python extension libs
%global __provides_exclude_from %{?__provides_exclude_from:__provides_exclude_from|}%{python3_sitearch}/.*\\.so

Summary:	The libvirt virtualization API python3 binding
Name:		python-libvirt
Version:	11.0.0
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Python
URL:		https://libvirt.org/
Source0:	https://libvirt.org/sources/python/%{rname}-%{version}.tar.gz
BuildRequires:	pkgconfig(libvirt) >= %{version}
BuildRequires:	libvirt-utils >= %{version}
BuildRequires:	python3-devel

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n	python3-libvirt
Summary:	The libvirt virtualization API python3 binding
Group:		Development/Python
%{?python_provide:%python_provide python3-libvirt}

%description -n	python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep

%autosetup -p1 -n %{rname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-libvirt
%doc ChangeLog AUTHORS README COPYING examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 11.0.0-4.mga10
+ Revision: 2238498
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 11.0.0-3.mga10
+ Revision: 2155224
- rebuild for python3.13

* Wed Feb 05 2025 tv <tv> 11.0.0-2.mga10
+ Revision: 2145577
- Update to version 11.0.0

* Thu Apr 18 2024 wally <wally> 9.1.0-3.mga10
+ Revision: 2058908
- rebuild for armv7hl

* Thu Dec 28 2023 tv <tv> 9.1.0-2.mga10
+ Revision: 2023246
- Rebuild for python-3.12

* Fri Mar 03 2023 kekepower <kekepower> 9.1.0-1.mga9
+ Revision: 1946652
- Update to version 9.1.0

* Tue Nov 08 2022 tv <tv> 8.9.0-1.mga9
+ Revision: 1904699
- Update to version 8.9.0

* Thu Nov 03 2022 papoteur <papoteur> 8.4.0-2.mga9
+ Revision: 1902055
- rebuild for libfmt 9.1 and ceph

* Wed Jun 29 2022 tv <tv> 8.4.0-1.mga9
+ Revision: 1866604
- Update to version 8.4.0

* Tue Apr 05 2022 umeabot <umeabot> 8.2.0-2.mga9
+ Revision: 1844861
- Mageia 9 Mass Rebuild

* Mon Apr 04 2022 tv <tv> 8.2.0-1.mga9
+ Revision: 1843821
- Update to 8.2.0

* Fri Mar 04 2022 tv <tv> 8.1.0-1.mga9
+ Revision: 1788484
- Update to version 8.1.0

* Sat Feb 12 2022 tv <tv> 8.0.0-2.mga9
+ Revision: 1773341
- Rebuild for python-3.10

* Wed Jan 19 2022 tv <tv> 8.0.0-1.mga9
+ Revision: 1769101
- Update to version 8.0.0

* Wed Jan 12 2022 tv <tv> 7.10.0-1.mga9
+ Revision: 1768089
- Update to 7.10.0 release

* Wed Nov 03 2021 tv <tv> 7.9.0-1.mga9
+ Revision: 1753834
- Update to 7.9.0 release

* Thu Oct 28 2021 tv <tv> 7.8.0-1.mga9
+ Revision: 1753173
- Update to 7.8.0 release

* Tue Aug 03 2021 tv <tv> 7.6.0-1.mga9
+ Revision: 1738880
- Update to 7.6.0

* Tue Jul 06 2021 tv <tv> 7.5.0-1.mga9
+ Revision: 1734931
- Update to 7.5.0

* Thu May 06 2021 tv <tv> 7.3.0-1.mga9
+ Revision: 1721707
- 7.3.0

* Fri Apr 09 2021 tv <tv> 7.2.0-1.mga9
+ Revision: 1714291
- 7.2.0

* Mon Mar 15 2021 neoclust <neoclust> 7.1.0-2.mga9
+ Revision: 1703155
- Rebuild against python 3.9

* Thu Mar 04 2021 tv <tv> 7.1.0-1.mga9
+ Revision: 1698022
- Update to version 7.1.0

* Sun Dec 20 2020 tv <tv> 6.10.0-1.mga8
+ Revision: 1661810
- 6.10.0

* Wed Nov 04 2020 tv <tv> 6.9.0-1.mga8
+ Revision: 1642570
- 6.9.0

* Sat Oct 17 2020 tv <tv> 6.8.0-2.mga8
+ Revision: 1636525
- Fix regression with snapshot handling (rhbz#1888709)

* Fri Oct 02 2020 tv <tv> 6.8.0-1.mga8
+ Revision: 1631867
- 6.8.0

* Wed Sep 02 2020 tv <tv> 6.7.0-1.mga8
+ Revision: 1621164
- Update to version 6.7.0

* Sun Aug 09 2020 tv <tv> 6.6.0-1.mga8
+ Revision: 1612235
- 6.6.0

* Sun Jul 05 2020 tv <tv> 6.5.0-1.mga8
+ Revision: 1602117
- 6.5.0

* Wed Jun 03 2020 tv <tv> 6.4.0-1.mga8
+ Revision: 1589773
- 6.4.0

* Wed May 06 2020 tv <tv> 6.3.0-1.mga8
+ Revision: 1580850
- 6.3

* Fri Apr 03 2020 tv <tv> 6.2.0-1.mga8
+ Revision: 1564154
- 6.1.0

* Thu Mar 05 2020 tv <tv> 6.1.0-1.mga8
+ Revision: 1553964
- 6.1.0

* Wed Feb 19 2020 umeabot <umeabot> 6.0.0-2.mga8
+ Revision: 1543160
- Mageia 8 Mass Rebuild

* Thu Jan 16 2020 tv <tv> 6.0.0-1.mga8
+ Revision: 1478159
- 6.0.0

* Wed Nov 13 2019 tv <tv> 5.9.0-1.mga8
+ Revision: 1459840
- 5.9.0

* Tue Oct 08 2019 tv <tv> 5.8.0-1.mga8
+ Revision: 1450552
- new release

* Sun Sep 15 2019 tv <tv> 5.7.0-3.mga8
+ Revision: 1441074
- drop now useless patch bits for linking with libpyton3.8
+ wally <wally>
- fix linking

* Fri Sep 13 2019 tv <tv> 5.7.0-2.mga8
+ Revision: 1440549
- "fix" underlinking
- fix part of rebuilding with python 3.8
- rebuild for python-3.8

* Wed Sep 04 2019 tv <tv> 5.7.0-1.mga8
+ Revision: 1436879
- drop python2 subpkg rather than adding BR on python2
- new release
- new release

* Thu Jul 04 2019 tv <tv> 5.5.0-1.mga8
+ Revision: 1418406
- 5.5.0

* Mon Jul 01 2019 tv <tv> 5.4.0-1.mga8
+ Revision: 1416634
- new release

* Thu Apr 04 2019 tv <tv> 5.2.0-1.mga7
+ Revision: 1385752
- 5.2.0

* Tue Mar 05 2019 tv <tv> 5.1.0-1.mga7
+ Revision: 1371620
- new release

* Wed Jan 23 2019 tv <tv> 5.0.0-1.mga7
+ Revision: 1360274
- new release

* Tue Jan 08 2019 tv <tv> 4.10.0-2.mga7
+ Revision: 1351607
- rebuild with python 3.7

* Tue Dec 04 2018 tv <tv> 4.10.0-1.mga7
+ Revision: 1338190
- 4.10.0

* Tue Nov 13 2018 tv <tv> 4.9.0-1.mga7
+ Revision: 1329710
- new release

* Thu Sep 06 2018 tv <tv> 4.7.0-1.mga7
+ Revision: 1257451
- new release

* Wed Aug 08 2018 tv <tv> 4.6.0-1.mga7
+ Revision: 1250411
- new release

* Thu Jul 05 2018 tv <tv> 4.5.0-1.mga7
+ Revision: 1241761
- new release

* Wed Jun 13 2018 tv <tv> 4.4.0-1.mga7
+ Revision: 1236699
- new release

* Thu May 31 2018 tv <tv> 4.3.0-1.mga7
+ Revision: 1233253
- new release

* Wed Apr 11 2018 tv <tv> 4.2.0-1.mga7
+ Revision: 1217503
- new release

* Tue Mar 27 2018 tv <tv> 4.1.0-1.mga7
+ Revision: 1212762
- new release

* Sat Mar 03 2018 tv <tv> 4.0.0-1.mga7
+ Revision: 1206413
- rename py2 pkg as python2-libvirt
- new version
- fix pkg name in description

* Wed Oct 11 2017 tv <tv> 3.8.0-1.mga7
+ Revision: 1170957
- new release

* Sat Aug 05 2017 pterjan <pterjan> 3.5.0-1.mga7
+ Revision: 1136972
- Update to 3.5.0
- Rebuild for python 3.6

* Sun Jun 04 2017 luigiwalser <luigiwalser> 3.3.0-1.mga6
+ Revision: 1106406
- 3.3.0

* Tue May 03 2016 tv <tv> 1.3.4-1.mga6
+ Revision: 1008919
- new release

* Wed Apr 13 2016 tv <tv> 1.3.3-1.mga6
+ Revision: 1001065
- new release

* Sat Mar 05 2016 philippem <philippem> 1.3.2-2.mga6
+ Revision: 986064
- use new macros, follow the Python policy

* Fri Mar 04 2016 oden <oden> 1.3.2-1.mga6
+ Revision: 985668
- 1.3.2

* Tue Feb 16 2016 umeabot <umeabot> 1.2.9-4.mga6
+ Revision: 962240
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2.9-3.mga6
+ Revision: 887454
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.9-2.mga5
+ Revision: 749578
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1.2.9-1.mga5
+ Revision: 733840
- 1.2.9
+ tv <tv>
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 fwang <fwang> 1.2.5-1.mga5
+ Revision: 632768
- 1.2.5
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Jan 24 2014 tmb <tmb> 1.2.1-1.mga4
+ Revision: 568093
- BR libvirt-utils
+ oden <oden>
- imported package python-libvirt


* Fri Jan 24 2014 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1
- initial Mageia package (fedora import)

* Tue Jan 21 2014 Daniel P. Berrange <berrange@redhat.com> - 1.2.1-1
- Update to 1.2.1 release
- Add libvirt-python3 package

* Mon Nov 25 2013 Daniel P. Berrange <berrange@redhat.com> - 1.2.0-1
- Initial package after split from libvirt RPM (rhbz #1034347)
